| Kea 3.0.2-git

memory_segment.h File Reference
`#include <exceptions/exceptions.h>`
`#include <utility>`
`#include <stdlib.h>`
Include dependency graph for memory_segment.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::util::MemorySegment
| Memory Segment Class. More...
class | isc::util::MemorySegmentError
| General error that can be thrown by a MemorySegment implementation. More...
class | isc::util::MemorySegmentGrown
| Exception that is thrown, when allocating space in a MemorySegment results in growing the underlying segment. More...
class | isc::util::MemorySegmentOpenError
| Exception that can be thrown when constructing a MemorySegment object. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util